scsi_nonblockable_ioctl
Prev | drivers/scsi/scsi_ioctl.c | Next

## Name

scsi_nonblockable_ioctl — Handle SG_SCSI_RESET

## Synopsis

`int scsi_nonblockable_ioctl (` | struct scsi_device * | sdev,
| int | cmd,
| void __user * | arg,
| struct file * | filp`)`;

## Arguments

`sdev`

  scsi device receiving ioctl

`cmd`

  Must be SC_SCSI_RESET

`arg`

  pointer to int containing SG_SCSI_RESET_{DEVICE,BUS,HOST}

`filp`

  either NULL or a struct file which must have the O_NONBLOCK flag.

Prev | Up | Next
scsi_ioctl | Home | scsi_execute